Index: /trunk/include/FlairFilter/X4X8Multiplex.h
===================================================================
--- /trunk/include/FlairFilter/X4X8Multiplex.h	(revision 12)
+++ /trunk/include/FlairFilter/X4X8Multiplex.h	(revision 13)
@@ -18,90 +18,89 @@
 class X4X8Multiplex_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class X4X8Multiplex
-    *
-    * \brief Class defining X4 and X8 multiplexing
-    *
-    * The output order of the motors can be changed through ground station.
-    */
-    class X4X8Multiplex : public UavMultiplex
-    {
-        friend class ::X4X8Multiplex_impl;
+namespace flair {
+namespace filter {
+/*! \class X4X8Multiplex
+*
+* \brief Class defining X4 and X8 multiplexing
+*
+* The output order of the motors can be changed through ground station.
+*/
+class X4X8Multiplex : public UavMultiplex {
+  friend class ::X4X8Multiplex_impl;
 
-        public:
-             /*!
-            \enum UavType_t
-            \brief type of UAV
-            */
-            typedef enum {
-                X4,/*!< 4 motors: front left, front right, rear left, rear right */
-                X8/*!< 8 motors: top front left, top front right, top rear left, top rear right, bottom front left, bottom front right, bottom rear left, bottom rear right */
-                } UavType_t;
+public:
+  /*!
+ \enum UavType_t
+ \brief type of UAV
+ */
+  typedef enum {
+    X4, /*!< 4 motors: front left, front right, rear left, rear right */
+    X8  /*!< 8 motors: top front left, top front right, top rear left, top rear
+           right, bottom front left, bottom front right, bottom rear left, bottom
+           rear right */
+  } UavType_t;
 
-            /*!
-            \enum MotorNames_t
-            \brief Motor names
-            */
-            typedef enum {
-                TopFrontLeft=0,/*!< Top front left, X4 or X8 */
-                TopFrontRight=1,/*!< Top front right, X4 or X8 */
-                TopRearLeft=2,/*!< Top rear left, X4 or X8 */
-                TopRearRight=3,/*!< Top rear right, X4 or X8 */
-                BottomFrontLeft=4,/*!< Bottom front left, X8 */
-                BottomFrontRight=5,/*!< Bottom front right, X8 */
-                BottomRearLeft=6,/*!< Bottom rear left, X8 */
-                BottomRearRight=7,/*!< Bottom rear right, X8 */
-                } MotorNames_t;
+  /*!
+  \enum MotorNames_t
+  \brief Motor names
+  */
+  typedef enum {
+    TopFrontLeft = 0,     /*!< Top front left, X4 or X8 */
+    TopFrontRight = 1,    /*!< Top front right, X4 or X8 */
+    TopRearLeft = 2,      /*!< Top rear left, X4 or X8 */
+    TopRearRight = 3,     /*!< Top rear right, X4 or X8 */
+    BottomFrontLeft = 4,  /*!< Bottom front left, X8 */
+    BottomFrontRight = 5, /*!< Bottom front right, X8 */
+    BottomRearLeft = 6,   /*!< Bottom rear left, X8 */
+    BottomRearRight = 7,  /*!< Bottom rear right, X8 */
+  } MotorNames_t;
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a X4 and X8 multiplexing
-            *
-            * \param parent parent
-            * \param name name
-            * \param type type
-            */
-            X4X8Multiplex(const core::FrameworkManager* parent,std::string name,UavType_t type);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a X4 and X8 multiplexing
+  *
+  * \param parent parent
+  * \param name name
+  * \param type type
+  */
+  X4X8Multiplex(const core::FrameworkManager *parent, std::string name,
+                UavType_t type);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~X4X8Multiplex();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~X4X8Multiplex();
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the output values.
-            *
-            */
-            void UseDefaultPlot(void);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the output values.
+  *
+  */
+  void UseDefaultPlot(void);
 
-            /*!
-            * \brief Motors count
-            *
-            * Reimplemented from UavMultiplex.
-            *
-            * \return motors count
-            */
-            uint8_t MotorsCount(void) const;
+  /*!
+  * \brief Motors count
+  *
+  * Reimplemented from UavMultiplex.
+  *
+  * \return motors count
+  */
+  uint8_t MotorsCount(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            X4X8Multiplex_impl *pimpl_;
-
-    };
+  X4X8Multiplex_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairMeta/HdsX8.h
===================================================================
--- /trunk/include/FlairMeta/HdsX8.h	(revision 12)
+++ /trunk/include/FlairMeta/HdsX8.h	(revision 13)
@@ -16,21 +16,19 @@
 #include "Uav.h"
 
-namespace flair
-{
-namespace meta
-{
-    /*! \class HdsX8
-    *
-    * \brief Class defining an ardrone2 uav
-    */
-    class HdsX8 : public Uav {
-        public:
-            HdsX8(core::FrameworkManager* parent,std::string uav_name,filter::UavMultiplex *multiplex=NULL);
-            ~HdsX8();
-            void StartSensors(void);
+namespace flair {
+namespace meta {
+/*! \class HdsX8
+*
+* \brief Class defining an ardrone2 uav
+*/
+class HdsX8 : public Uav {
+public:
+  HdsX8(core::FrameworkManager *parent, std::string uav_name,
+        filter::UavMultiplex *multiplex = NULL);
+  ~HdsX8();
+  void StartSensors(void);
 
-        private:
-
-    };
+private:
+};
 } // end namespace meta
 } // end namespace flair
Index: /trunk/include/FlairMeta/MetaDualShock3.h
===================================================================
--- /trunk/include/FlairMeta/MetaDualShock3.h	(revision 12)
+++ /trunk/include/FlairMeta/MetaDualShock3.h	(revision 13)
@@ -17,11 +17,11 @@
 
 namespace flair {
-    namespace core {
-        class AhrsData;
-        class Quaternion;
-    }
-    namespace filter {
-        class Ahrs;
-    }
+namespace core {
+class AhrsData;
+class Quaternion;
+}
+namespace filter {
+class Ahrs;
+}
 }
 
@@ -31,40 +31,42 @@
 namespace meta {
 
-    /*! \class MetaDualShock3
-    *
-    * \brief Classe intégrant la manette MetaDualShock3
-    */
-    class MetaDualShock3 : public sensor::TargetEthController {
-        friend class ::MetaDualShock3_impl;
+/*! \class MetaDualShock3
+*
+* \brief Classe intégrant la manette MetaDualShock3
+*/
+class MetaDualShock3 : public sensor::TargetEthController {
+  friend class ::MetaDualShock3_impl;
 
-        public:
-            MetaDualShock3(core::FrameworkManager* parent,std::string name,uint16_t port,uint8_t priority);
-            ~MetaDualShock3();
-            core::AhrsData* GetReferenceOrientation(void) const;
-            float ZRef(void) const;
-            float DzRef(void) const;
-            void SetYawRef(float value);
-            /*!
-            * \brief Set yaw reference
-            *
-            * Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.\n
-            * This method reset the yaw.
-            *
-            * \param value value, only the yaw part of the quaternion is used
-            */
-            void SetYawRef(core::Quaternion const &value);
-            void SetZRef(float value);
-            float RollTrim(void) const;
-            float PitchTrim(void) const;
-            void ErrorNotify(void);
-            void Rumble(uint8_t left_force,uint8_t left_timeout=20,uint8_t right_force=0,uint8_t right_timeout=0);
-            void SetLedON(unsigned int ledId);
-            void SetLedOFF(unsigned int ledId);
-            void FlashLed(unsigned int ledId,uint8_t on_timeout,uint8_t off_timeout);
+public:
+  MetaDualShock3(core::FrameworkManager *parent, std::string name,
+                 uint16_t port, uint8_t priority);
+  ~MetaDualShock3();
+  core::AhrsData *GetReferenceOrientation(void) const;
+  float ZRef(void) const;
+  float DzRef(void) const;
+  void SetYawRef(float value);
+  /*!
+  * \brief Set yaw reference
+  *
+  * Yaw part of the output quaternion is obtained by integrating the wz desired
+  *angular speed.\n
+  * This method reset the yaw.
+  *
+  * \param value value, only the yaw part of the quaternion is used
+  */
+  void SetYawRef(core::Quaternion const &value);
+  void SetZRef(float value);
+  float RollTrim(void) const;
+  float PitchTrim(void) const;
+  void ErrorNotify(void);
+  void Rumble(uint8_t left_force, uint8_t left_timeout = 20,
+              uint8_t right_force = 0, uint8_t right_timeout = 0);
+  void SetLedON(unsigned int ledId);
+  void SetLedOFF(unsigned int ledId);
+  void FlashLed(unsigned int ledId, uint8_t on_timeout, uint8_t off_timeout);
 
-        private:
-            class MetaDualShock3_impl* pimpl_;
-
-    };
+private:
+  class MetaDualShock3_impl *pimpl_;
+};
 } // end namespace meta
 } // end namespace flair
Index: /trunk/include/FlairMeta/MetaUsRangeFinder.h
===================================================================
--- /trunk/include/FlairMeta/MetaUsRangeFinder.h	(revision 12)
+++ /trunk/include/FlairMeta/MetaUsRangeFinder.h	(revision 13)
@@ -17,43 +17,41 @@
 
 namespace flair {
-    namespace filter {
-        class ButterworthLowPass;
-        class EulerDerivative;
-    }
-    namespace sensor {
-        class UsRangeFinder;
-    }
-    namespace gui {
-        class DataPlot1D;
-    }
+namespace filter {
+class ButterworthLowPass;
+class EulerDerivative;
+}
+namespace sensor {
+class UsRangeFinder;
+}
+namespace gui {
+class DataPlot1D;
+}
 }
 
-namespace flair
-{
-namespace meta
-{
-    /*! \class MetaUsRangeFinder
-    *
-    * \brief Classe haut niveau pour capteur à ultra son
-    *
-    * Contient une dérivée d'euler et un passe bas.
-    * Cette classe est adaptée pour un capteur d'altitude.
-    */
-    class MetaUsRangeFinder: public core::Object {
-        public:
-            MetaUsRangeFinder(sensor::UsRangeFinder* us);
-            ~MetaUsRangeFinder();
-            void UseDefaultPlot(void);
-            float z(void) const;
-            float Vz(void) const;
-            gui::DataPlot1D *GetZPlot();
-            gui::DataPlot1D *GetVzPlot();
+namespace flair {
+namespace meta {
+/*! \class MetaUsRangeFinder
+*
+* \brief Classe haut niveau pour capteur à ultra son
+*
+* Contient une dérivée d'euler et un passe bas.
+* Cette classe est adaptée pour un capteur d'altitude.
+*/
+class MetaUsRangeFinder : public core::Object {
+public:
+  MetaUsRangeFinder(sensor::UsRangeFinder *us);
+  ~MetaUsRangeFinder();
+  void UseDefaultPlot(void);
+  float z(void) const;
+  float Vz(void) const;
+  gui::DataPlot1D *GetZPlot();
+  gui::DataPlot1D *GetVzPlot();
 
-        private:
-            sensor::UsRangeFinder* us;
-            filter::ButterworthLowPass *pbas_z,*pbas_vz;
-            filter::EulerDerivative *vz_euler;
-            gui::DataPlot1D* vz_plot;
-    };
+private:
+  sensor::UsRangeFinder *us;
+  filter::ButterworthLowPass *pbas_z, *pbas_vz;
+  filter::EulerDerivative *vz_euler;
+  gui::DataPlot1D *vz_plot;
+};
 } // end namespace meta
 } // end namespace flair
Index: /trunk/include/FlairMeta/MetaVrpnObject.h
===================================================================
--- /trunk/include/FlairMeta/MetaVrpnObject.h	(revision 12)
+++ /trunk/include/FlairMeta/MetaVrpnObject.h	(revision 13)
@@ -17,60 +17,53 @@
 #include "io_data.h"
 
-namespace flair
-{
-    namespace core
-    {
-        class Vector3D;
-        class FloatType;
-    }
-    namespace gui
-    {
-        class DataPlot1D;
-        class DataPlot2D;
-        class Tab;
-    }
-    namespace filter
-    {
-        class EulerDerivative;
-        class LowPassFilter;
-    }
-    namespace sensor
-    {
-        class VrpnClient;
-    }
+namespace flair {
+namespace core {
+class Vector3D;
+class FloatType;
+}
+namespace gui {
+class DataPlot1D;
+class DataPlot2D;
+class Tab;
+}
+namespace filter {
+class EulerDerivative;
+class LowPassFilter;
+}
+namespace sensor {
+class VrpnClient;
+}
 }
 
-namespace flair
-{
-namespace meta
-{
+namespace flair {
+namespace meta {
 
-    /*! \class MetaVrpnObject
-    *
-    * \brief Classe haut niveau intégrant un objet VRPN
-    *
-    * Contient un objet VRPN et une dérivée, d'euler.
-    */
-    class MetaVrpnObject: public sensor::VrpnObject {
-        public:
-            MetaVrpnObject(const sensor::VrpnClient *parent,std::string name);
-            MetaVrpnObject(const sensor::VrpnClient *parent,std::string name,uint8_t id);
-            ~MetaVrpnObject();
-            gui::DataPlot1D* VxPlot(void) const;//1,0
-            gui::DataPlot1D* VyPlot(void) const;//1,1
-            gui::DataPlot1D* VzPlot(void) const;//1,2
-            gui::DataPlot2D* XyPlot(void) const;
-            void GetSpeed(core::Vector3D &speed) const;
+/*! \class MetaVrpnObject
+*
+* \brief Classe haut niveau intégrant un objet VRPN
+*
+* Contient un objet VRPN et une dérivée, d'euler.
+*/
+class MetaVrpnObject : public sensor::VrpnObject {
+public:
+  MetaVrpnObject(const sensor::VrpnClient *parent, std::string name);
+  MetaVrpnObject(const sensor::VrpnClient *parent, std::string name,
+                 uint8_t id);
+  ~MetaVrpnObject();
+  gui::DataPlot1D *VxPlot(void) const; // 1,0
+  gui::DataPlot1D *VyPlot(void) const; // 1,1
+  gui::DataPlot1D *VzPlot(void) const; // 1,2
+  gui::DataPlot2D *XyPlot(void) const;
+  void GetSpeed(core::Vector3D &speed) const;
 
-        private:
-            void ConstructorCommon(const sensor::VrpnClient *parent,std::string name);
-            filter::LowPassFilter *pbas;
-            filter::EulerDerivative *euler;
-            gui::DataPlot2D *xy_plot;
-            gui::DataPlot1D *vx_opti_plot,*vy_opti_plot,*vz_opti_plot;
-            gui::Tab* plot_tab;
-            core::FloatType elementDataType;
-
-    };
+private:
+  void ConstructorCommon(const sensor::VrpnClient *parent, std::string name);
+  filter::LowPassFilter *pbas;
+  filter::EulerDerivative *euler;
+  gui::DataPlot2D *xy_plot;
+  gui::DataPlot1D *vx_opti_plot, *vy_opti_plot, *vz_opti_plot;
+  gui::Tab *plot_tab;
+  core::FloatType elementDataType;
+};
 } // end namespace meta
 } // end namespace flair
Index: /trunk/include/FlairMeta/SimuX4.h
===================================================================
--- /trunk/include/FlairMeta/SimuX4.h	(revision 12)
+++ /trunk/include/FlairMeta/SimuX4.h	(revision 13)
@@ -16,21 +16,20 @@
 #include "Uav.h"
 
-namespace flair
-{
-namespace meta
-{
-    /*! \class SimuX4
-    *
-    * \brief Class defining a simultation x4 uav
-    */
-    class SimuX4 : public Uav {
-        public:
-            //simu_id: 0 if simulating only one UAV
-            //>0 otherwise
-            SimuX4(core::FrameworkManager* parent,std::string uav_name,int simu_id=0,filter::UavMultiplex *multiplex=NULL);
-            ~SimuX4();
-            void StartSensors(void);
-            void SetupVRPNAutoIP(std::string name);
-    };
+namespace flair {
+namespace meta {
+/*! \class SimuX4
+*
+* \brief Class defining a simultation x4 uav
+*/
+class SimuX4 : public Uav {
+public:
+  // simu_id: 0 if simulating only one UAV
+  //>0 otherwise
+  SimuX4(core::FrameworkManager *parent, std::string uav_name, int simu_id = 0,
+         filter::UavMultiplex *multiplex = NULL);
+  ~SimuX4();
+  void StartSensors(void);
+  void SetupVRPNAutoIP(std::string name);
+};
 } // end namespace meta
 } // end namespace flair
Index: /trunk/include/FlairMeta/SimuX8.h
===================================================================
--- /trunk/include/FlairMeta/SimuX8.h	(revision 12)
+++ /trunk/include/FlairMeta/SimuX8.h	(revision 13)
@@ -16,21 +16,20 @@
 #include "Uav.h"
 
-namespace flair
-{
-namespace meta
-{
-    /*! \class SimuX8
-    *
-    * \brief Class defining a simultation x8 uav
-    */
-    class SimuX8 : public Uav {
-        public:
-            //simu_id: 0 if simulating only one UAV
-            //>0 otherwise
-            SimuX8(core::FrameworkManager* parent,std::string uav_name,int simu_id=0,filter::UavMultiplex *multiplex=NULL);
-            ~SimuX8();
-            void StartSensors(void);
-            void SetupVRPNAutoIP(std::string name);
-    };
+namespace flair {
+namespace meta {
+/*! \class SimuX8
+*
+* \brief Class defining a simultation x8 uav
+*/
+class SimuX8 : public Uav {
+public:
+  // simu_id: 0 if simulating only one UAV
+  //>0 otherwise
+  SimuX8(core::FrameworkManager *parent, std::string uav_name, int simu_id = 0,
+         filter::UavMultiplex *multiplex = NULL);
+  ~SimuX8();
+  void StartSensors(void);
+  void SetupVRPNAutoIP(std::string name);
+};
 } // end namespace meta
 } // end namespace flair
Index: /trunk/include/FlairMeta/Uav.h
===================================================================
--- /trunk/include/FlairMeta/Uav.h	(revision 12)
+++ /trunk/include/FlairMeta/Uav.h	(revision 13)
@@ -17,84 +17,86 @@
 
 namespace flair {
-    namespace core {
-        class FrameworkManager;
-    }
-    namespace filter {
-        class Ahrs;
-        class UavMultiplex;
-    }
-    namespace actuator {
-        class Bldc;
-    }
-    namespace sensor {
-        class UsRangeFinder;
-        class BatteryMonitor;
-        class VrpnClient;
-        class Imu;
-        class Camera;
-    }
+namespace core {
+class FrameworkManager;
+}
+namespace filter {
+class Ahrs;
+class UavMultiplex;
+}
+namespace actuator {
+class Bldc;
+}
+namespace sensor {
+class UsRangeFinder;
+class BatteryMonitor;
+class VrpnClient;
+class Imu;
+class Camera;
+}
 }
 
 namespace flair {
 namespace meta {
-    class MetaUsRangeFinder;
-    class MetaVrpnObject;
+class MetaUsRangeFinder;
+class MetaVrpnObject;
 
-    /*! \class Uav
-    *
-    * \brief Base class to construct sensors/actuators depending on uav type
-    */
-    class Uav: public core::Object {
-        public:
-        /*
-            typedef enum {
-                None,
-                Auto,//rt serial if hds x4 ou x8, auto ip sinon
-                AutoIP,
-                UserDefinedIP,
-                AutoSerialPort,
-                } VRPNType_t;
+/*! \class Uav
+*
+* \brief Base class to construct sensors/actuators depending on uav type
 */
-            //uav_name: for optitrack
-            Uav(core::FrameworkManager* parent,std::string name,filter::UavMultiplex *multiplex=NULL);
-            ~Uav();
-            void SetupVRPN(std::string optitrack_address,std::string name);
-            //vrpn serial: broken, need to add serial port in uav specific code
-            //void SetupVRPNSerial(core::SerialPort *vrpn_port,std::string name,int VRPNSerialObjectId);
-            virtual void SetupVRPNAutoIP(std::string name);
+class Uav : public core::Object {
+public:
+  /*
+      typedef enum {
+          None,
+          Auto,//rt serial if hds x4 ou x8, auto ip sinon
+          AutoIP,
+          UserDefinedIP,
+          AutoSerialPort,
+          } VRPNType_t;
+*/
+  // uav_name: for optitrack
+  Uav(core::FrameworkManager *parent, std::string name,
+      filter::UavMultiplex *multiplex = NULL);
+  ~Uav();
+  void SetupVRPN(std::string optitrack_address, std::string name);
+  // vrpn serial: broken, need to add serial port in uav specific code
+  // void SetupVRPNSerial(core::SerialPort *vrpn_port,std::string name,int
+  // VRPNSerialObjectId);
+  virtual void SetupVRPNAutoIP(std::string name);
 
-            virtual void StartSensors(void);
-            void UseDefaultPlot(void);
-            actuator::Bldc* GetBldc(void) const;
-            filter::UavMultiplex* GetUavMultiplex(void) const;
-            sensor::Imu* GetImu(void) const;
-            filter::Ahrs* GetAhrs(void) const;
-            MetaUsRangeFinder* GetMetaUsRangeFinder(void) const;
-            sensor::UsRangeFinder* GetUsRangeFinder(void) const;
-            sensor::BatteryMonitor* GetBatteryMonitor(void) const;
-            sensor::VrpnClient* GetVrpnClient(void) const;
-            meta::MetaVrpnObject* GetVrpnObject(void) const;
-            sensor::Camera* GetVerticalCamera(void) const;
+  virtual void StartSensors(void);
+  void UseDefaultPlot(void);
+  actuator::Bldc *GetBldc(void) const;
+  filter::UavMultiplex *GetUavMultiplex(void) const;
+  sensor::Imu *GetImu(void) const;
+  filter::Ahrs *GetAhrs(void) const;
+  MetaUsRangeFinder *GetMetaUsRangeFinder(void) const;
+  sensor::UsRangeFinder *GetUsRangeFinder(void) const;
+  sensor::BatteryMonitor *GetBatteryMonitor(void) const;
+  sensor::VrpnClient *GetVrpnClient(void) const;
+  meta::MetaVrpnObject *GetVrpnObject(void) const;
+  sensor::Camera *GetVerticalCamera(void) const;
 
-        protected:
-            void SetBldc(const actuator::Bldc *bldc);
-            void SetMultiplex(const filter::UavMultiplex *multiplex);
-            void SetAhrs(const filter::Ahrs *ahrs);
-            void SetUsRangeFinder(const sensor::UsRangeFinder *us);
-            void SetBatteryMonitor(const sensor::BatteryMonitor *battery);
-            void SetVerticalCamera(const sensor::Camera *verticalCamera);
+protected:
+  void SetBldc(const actuator::Bldc *bldc);
+  void SetMultiplex(const filter::UavMultiplex *multiplex);
+  void SetAhrs(const filter::Ahrs *ahrs);
+  void SetUsRangeFinder(const sensor::UsRangeFinder *us);
+  void SetBatteryMonitor(const sensor::BatteryMonitor *battery);
+  void SetVerticalCamera(const sensor::Camera *verticalCamera);
 
-        private:
-            sensor::Imu* imu;
-            filter::Ahrs* ahrs;
-            actuator::Bldc* bldc;
-            filter::UavMultiplex *multiplex;
-            sensor::UsRangeFinder* us;
-            MetaUsRangeFinder* meta_us;
-            sensor::VrpnClient *vrpnclient;
-            MetaVrpnObject* uav_vrpn;
-            sensor::BatteryMonitor* battery;
-            sensor::Camera* verticalCamera;
-    };
+private:
+  sensor::Imu *imu;
+  filter::Ahrs *ahrs;
+  actuator::Bldc *bldc;
+  filter::UavMultiplex *multiplex;
+  sensor::UsRangeFinder *us;
+  MetaUsRangeFinder *meta_us;
+  sensor::VrpnClient *vrpnclient;
+  MetaVrpnObject *uav_vrpn;
+  sensor::BatteryMonitor *battery;
+  sensor::Camera *verticalCamera;
+};
 } // end namespace meta
 } // end namespace flair
Index: /trunk/include/FlairMeta/UavFactory.h
===================================================================
--- /trunk/include/FlairMeta/UavFactory.h	(revision 12)
+++ /trunk/include/FlairMeta/UavFactory.h	(revision 13)
@@ -21,5 +21,7 @@
 #include <Uav.h>
 
-flair::meta::Uav* CreateUav(flair::core::FrameworkManager* parent,std::string uav_name,std::string uav_type,flair::filter::UavMultiplex *multiplex=NULL);
+flair::meta::Uav *CreateUav(flair::core::FrameworkManager *parent,
+                            std::string uav_name, std::string uav_type,
+                            flair::filter::UavMultiplex *multiplex = NULL);
 
 #endif // UAVFACTORY
